org.opencv.ml

## Class Boost

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ml.StatModel
    - - org.opencv.ml.DTrees
      - - org.opencv.ml.Boost

-     public class Boost
      extends DTrees

  Boosted tree classifier derived from DTrees SEE: REF: ml_intro_boost

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DISCRETE`
    `static int` | `GENTLE`
    `static int` | `LOGIT`
    `static int` | `REAL`

    - ### Fields inherited from class org.opencv.ml.DTrees

      `PREDICT_AUTO, PREDICT_MASK, PREDICT_MAX_VOTE, PREDICT_SUM`

    - ### Fields inherited from class org.opencv.ml.StatModel

      `COMPRESSED_INPUT, PREPROCESSED_INPUT, RAW_OUTPUT, UPDATE_MODEL`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Boost(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Boost` | `__fromPtr__(long addr)`
    `static Boost` | `create()` Creates the empty model.
    `protected void` | `finalize()`
    `int` | `getBoostType()` SEE: setBoostType
    `int` | `getWeakCount()` SEE: setWeakCount
    `double` | `getWeightTrimRate()` SEE: setWeightTrimRate
    `static Boost` | `load(String filepath)` Loads and creates a serialized Boost from a file Use Boost::save to serialize and store an RTree to disk.
    `static Boost` | `load(String filepath, String nodeName)` Loads and creates a serialized Boost from a file Use Boost::save to serialize and store an RTree to disk.
    `void` | `setBoostType(int val)` getBoostType SEE: getBoostType
    `void` | `setWeakCount(int val)` getWeakCount SEE: getWeakCount
    `void` | `setWeightTrimRate(double val)` getWeightTrimRate SEE: getWeightTrimRate

    - ### Methods inherited from class org.opencv.ml.DTrees

      `getCVFolds, getMaxCategories, getMaxDepth, getMinSampleCount, getPriors, getRegressionAccuracy, getTruncatePrunedTree, getUse1SERule, getUseSurrogates, setCVFolds, setMaxCategories, setMaxDepth, setMinSampleCount, setPriors, setRegressionAccuracy, setTruncatePrunedTree, setUse1SERule, setUseSurrogates`

    - ### Methods inherited from class org.opencv.ml.StatModel

      `calcError, empty, getVarCount, isClassifier, isTrained, predict, predict, predict, train, train, train`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISCRETE

          public static final int DISCRETE

      See Also:
        Constant Field Values

    - #### REAL

          public static final int REAL

      See Also:
        Constant Field Values

    - #### LOGIT

          public static final int LOGIT

      See Also:
        Constant Field Values

    - #### GENTLE

          public static final int GENTLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Boost

          protected Boost(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static Boost __fromPtr__(long addr)

    - #### create

          public static Boost create()

      Creates the empty model. Use StatModel::train to train the model, Algorithm::load<Boost>(filename) to load the pre-trained model.
      Returns:
        automatically generated

    - #### load

          public static Boost load(String filepath,
                                   String nodeName)

      Loads and creates a serialized Boost from a file Use Boost::save to serialize and store an RTree to disk. Load the Boost from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier
      Parameters:
        `filepath` - path to serialized Boost
        `nodeName` - name of node containing the classifier
      Returns:
        automatically generated

    - #### load

          public static Boost load(String filepath)

      Loads and creates a serialized Boost from a file Use Boost::save to serialize and store an RTree to disk. Load the Boost from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier
      Parameters:
        `filepath` - path to serialized Boost
      Returns:
        automatically generated

    - #### getWeightTrimRate

          public double getWeightTrimRate()

      SEE: setWeightTrimRate
      Returns:
        automatically generated

    - #### getBoostType

          public int getBoostType()

      SEE: setBoostType
      Returns:
        automatically generated

    - #### getWeakCount

          public int getWeakCount()

      SEE: setWeakCount
      Returns:
        automatically generated

    - #### setBoostType

          public void setBoostType(int val)

      getBoostType SEE: getBoostType
      Parameters:
        `val` - automatically generated

    - #### setWeakCount

          public void setWeakCount(int val)

      getWeakCount SEE: getWeakCount
      Parameters:
        `val` - automatically generated

    - #### setWeightTrimRate

          public void setWeightTrimRate(double val)

      getWeightTrimRate SEE: getWeightTrimRate
      Parameters:
        `val` - automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `DTrees`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8